Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 5612004: Web media player pipeline: implemented feature to choose proper... (Closed)

Created:
9 years ago by IvanGetta
Modified:
7 years, 9 months ago
CC:
chromium-reviews, vrk (LEFT CHROMIUM), fbarchard, Alpha Left Google, ddorwin+watch_chromium.org, acolwell GONE FROM CHROMIUM, annacc, darin-cc_chromium.org, awong, scherkus (not reviewing)
Visibility:
Public.

Description

Web media player pipeline: implemented feature to choose proper video decoder: OMX or FFMPEG. This is needed when you want some media formats to be decoded by hardware (OMX) and others by software (FFMPEG). Discussion is here: http://groups.google.com/a/chromium.org/group/chromium-dev/browse_thread/thread/0b86720fc312136d# BUG=none TEST=none

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+58 lines, -19 lines) Patch
M media/base/filter_collection.h View 2 chunks +7 lines, -4 lines 0 comments Download
M media/base/filter_collection.cc View 2 chunks +20 lines, -12 lines 0 comments Download
M media/base/filters.h View 1 chunk +3 lines, -0 lines 0 comments Download
M media/base/pipeline_impl.cc View 1 chunk +4 lines, -1 line 0 comments Download
M media/filters/ffmpeg_video_decoder.h View 2 chunks +7 lines, -0 lines 0 comments Download
M media/filters/ffmpeg_video_decoder.cc View 1 chunk +0 lines, -1 line 0 comments Download
M media/filters/omx_video_decoder.h View 2 chunks +16 lines, -0 lines 0 comments Download
M media/filters/omx_video_decoder.cc View 1 chunk +0 lines, -1 line 0 comments Download
M webkit/glue/webkit_glue.gypi View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 3 (0 generated)
scherkus (not reviewing)
Hey IvanGetta, would you still like me to a look at this?
8 years, 12 months ago (2010-12-14 22:17:12 UTC) #1
IvanGetta
Hi Andrew, yes sure, please reveiew. There are not so many changes, because this feature ...
8 years, 12 months ago (2010-12-15 11:02:42 UTC) #2
IvanGetta
8 years, 6 months ago (2011-05-24 11:54:13 UTC) #3
On 2010/12/14 22:17:12, scherkus wrote:
> Hey IvanGetta, would you still like me to a look at this?

Hi Andrew, please, could you review this patch so we get this committed?

This functionality is critical for our embedded platform where we
decode h264 through OMX and vp8 through FFMPEG engine. Last week
I successfully merged this with the recent r85102.

Powered by Google App Engine
This is Rietveld 408576698